Bug 1019986 - OpenShift-2.0 rhel-x86_64-server-6-ose-2 channel maps are missing
Summary: OpenShift-2.0 rhel-x86_64-server-6-ose-2 channel maps are missing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Alex Wood
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel70 rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2013-10-16 18:00 UTC by John Sefler
Modified: 2014-10-02 21:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
no documentation required
Clone Of:
Environment:
Last Closed: 2014-09-29 19:05:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1384 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2014-10-14 01:27:50 UTC

Description John Sefler 2013-10-16 18:00:25 UTC
Description of problem:
product-certs.json has been updated with new OpenShift-2 channel mappings.
subscription-manager-migration-data needs to be regenerated to pull them in.

Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.4-1.el6.noarch

How reproducible:


Steps to Reproduce:
[root@jsefler-6 ~]# grep rhel-x86_64-server-6-ose-2 /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
[root@jsefler-6 ~]# 


Actual results:
no mappings

Expected results:
Mappings for these channels...
[root@jsefler-6 cdn]# grep rhel-x86_64-server-6-ose-2 product-certs.json
    "rhel-x86_64-server-6-ose-2-infrastructure-beta": {
    "rhel-x86_64-server-6-ose-2-infrastructure-beta-debuginfo": {
    "rhel-x86_64-server-6-ose-2-jbosseap-beta": {
    "rhel-x86_64-server-6-ose-2-jbosseap-beta-debuginfo": {
    "rhel-x86_64-server-6-ose-2-node-beta": {
    "rhel-x86_64-server-6-ose-2-node-beta-debuginfo": {
    "rhel-x86_64-server-6-ose-2-rhc-beta": {
    "rhel-x86_64-server-6-ose-2-rhc-beta-debuginfo": {
    "rhel-x86_64-server-6-ose-2.0-infrastructure": {
    "rhel-x86_64-server-6-ose-2.0-infrastructure-debuginfo": {
    "rhel-x86_64-server-6-ose-2.0-jbosseap": {
    "rhel-x86_64-server-6-ose-2.0-jbosseap-debuginfo": {
    "rhel-x86_64-server-6-ose-2.0-node": {
    "rhel-x86_64-server-6-ose-2.0-node-debuginfo": {
    "rhel-x86_64-server-6-ose-2.0-rhc": {
    "rhel-x86_64-server-6-ose-2.0-rhc-debuginfo": {


Additional info:

Comment 2 RHEL Program Management 2013-10-20 17:24:47 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 John Sefler 2013-10-21 18:41:29 UTC
Verifying Version...
[root@jsefler-6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.5-1.el6.noarch


[root@jsefler-6 ~]# grep rhel-x86_64-server-6-ose-2 /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-server-6-ose-2-infrastructure-beta: RHOSE-Infra-2-Beta-x86_64-de43f21a214a-222.pem
rhel-x86_64-server-6-ose-2-infrastructure-beta-debuginfo: RHOSE-Infra-2-Beta-x86_64-de43f21a214a-222.pem
rhel-x86_64-server-6-ose-2-jbosseap-beta: RHOSE-EAP-2-Beta-x86_64-f6a364f66a41-225.pem
rhel-x86_64-server-6-ose-2-jbosseap-beta-debuginfo: RHOSE-EAP-2-Beta-x86_64-f6a364f66a41-225.pem
rhel-x86_64-server-6-ose-2-node-beta: RHOSE-Node-2-Beta-x86_64-1a6c40b6d9a8-223.pem
rhel-x86_64-server-6-ose-2-node-beta-debuginfo: RHOSE-Node-2-Beta-x86_64-1a6c40b6d9a8-223.pem
rhel-x86_64-server-6-ose-2-rhc-beta: RHOSE-Client-2-Beta-x86_64-2edb59e8a5c9-224.pem
rhel-x86_64-server-6-ose-2-rhc-beta-debuginfo: RHOSE-Client-2-Beta-x86_64-2edb59e8a5c9-224.pem
rhel-x86_64-server-6-ose-2.0-infrastructure: RHOSE-Infra-2.0-x86_64-c6cb06607983-193.pem
rhel-x86_64-server-6-ose-2.0-infrastructure-debuginfo: RHOSE-Infra-2.0-x86_64-c6cb06607983-193.pem
rhel-x86_64-server-6-ose-2.0-jbosseap: RHOSE-EAP-2.0-x86_64-ad5068fe6604-198.pem
rhel-x86_64-server-6-ose-2.0-jbosseap-debuginfo: RHOSE-EAP-2.0-x86_64-ad5068fe6604-198.pem
rhel-x86_64-server-6-ose-2.0-node: RHOSE-Node-2.0-x86_64-123373d0cb1c-194.pem
rhel-x86_64-server-6-ose-2.0-node-debuginfo: RHOSE-Node-2.0-x86_64-123373d0cb1c-194.pem
rhel-x86_64-server-6-ose-2.0-rhc: RHOSE-Client-2.0-x86_64-facd3b8f8d31-197.pem
rhel-x86_64-server-6-ose-2.0-rhc-debuginfo: RHOSE-Client-2.0-x86_64-facd3b8f8d31-197.pem
[root@jsefler-6 ~]# 


VERIFIED: All of the channels in comment 0 are now mapped to product certs

Comment 4 Bryan Kearney 2014-09-29 19:05:36 UTC
These bugs were fixed during 7.0 but not moved to CLOSED. They have been delivered


Note You need to log in before you can comment on or make changes to this bug.